Bug 832670 - (libmusicbrainz5) Review Request: libmusicbrainz5 - Library for accessing MusicBrainz servers
Review Request: libmusicbrainz5 - Library for accessing MusicBrainz servers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 06:13 EDT by Christophe Fergeau
Modified: 2013-03-07 11:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:32:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christophe Fergeau 2012-06-16 06:13:09 EDT
Spec URL: http://teuf.fedorapeople.org/reviews/libmusicbrainz5/libmusicbrainz5.spec
SRPM URL: http://teuf.fedorapeople.org/reviews/libmusicbrainz5/libmusicbrainz5-5.0.1-1.fc18.src.rpm
Description: The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server.


libmusicbrainz5 is nearly identical to libmusicbrainz4 except for its soname and removal of a few deprecated functions, see http://blog.musicbrainz.org/?p=1403
libmusicbrainz4 was reviewed months ago in bug https://bugzilla.redhat.com/show_bug.cgi?id=718395 , I've heavily based the libmusicbrainz5 spec on it so it should be in good shape.
Once libmusicbrainz5 gets in, the plan is to retire libmusicbrainz4 (and maybe libmusicbrainz3) once the dependant packages have been rebuilt.
Comment 1 Michael Scherer 2012-08-24 10:05:21 EDT
License tag is wrong, this is lgpl v2, no + ( at least, according to the comment in source code )

And there is no tarball on ftp://ftp.musicbrainz.org/pub/musicbrainz/ for the version 5.
Comment 2 Michael Scherer 2012-08-24 10:09:44 EDT
There is lots of thing to clean :
- old stuff ( %defattr, %clean, BuildRoot, etc )

and no need to requires pkgconfig directly.

But the 2 previous issues are the most important to fix. It seems the code was moved to git hub, so a comment explaining how to download the tarball should be added.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[-]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (libmusicbrainz-5.0.1.tar.gz)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

Rpmlint
-------
Checking: libmusicbrainz5-5.0.1-1.fc17.src.rpm
          libmusicbrainz5-devel-5.0.1-1.fc17.x86_64.rpm
          libmusicbrainz5-5.0.1-1.fc17.x86_64.rpm
          libmusicbrainz5-debuginfo-5.0.1-1.fc17.x86_64.rpm
libmusicbrainz5.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
libmusicbrainz5.src: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
libmusicbrainz5.src: W: spelling-error %description -l en_US roms -> toms, rims, oms
libmusicbrainz5.src: W: invalid-url Source0: ftp://ftp.musicbrainz.org/pub/musicbrainz/libmusicbrainz-5.0.1.tar.gz <urlopen error ftp error: [Errno ftp error] 550 Failed to change directory.>
libmusicbrainz5.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
libmusicbrainz5.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
libmusicbrainz5.x86_64: W: spelling-error %description -l en_US roms -> toms, rims, oms
4 packages and 0 specfiles checked; 0 errors, 7 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
libmusicbrainz5-devel-5.0.1-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config  
    libmusicbrainz5(x86-64) = 5.0.1-1.fc17
    libmusicbrainz5.so.0()(64bit)  
    pkgconfig(neon) >= 0.25

libmusicbrainz5-5.0.1-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig  
    libc.so.6()(64bit)  
    libgcc_s.so.1()(64bit)  
    libgcc_s.so.1(GCC_3.0)(64bit)  
    libm.so.6()(64bit)  
    libneon.so.27()(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    rtld(GNU_HASH)  

libmusicbrainz5-debuginfo-5.0.1-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
libmusicbrainz5-devel-5.0.1-1.fc17.x86_64.rpm:
    
    libmusicbrainz5-devel = 5.0.1-1.fc17
    libmusicbrainz5-devel(x86-64) = 5.0.1-1.fc17
    pkgconfig(libmusicbrainz5) = 5.0.1

libmusicbrainz5-5.0.1-1.fc17.x86_64.rpm:
    
    libmusicbrainz5 = 5.0.1-1.fc17
    libmusicbrainz5(x86-64) = 5.0.1-1.fc17
    libmusicbrainz5.so.0()(64bit)  

libmusicbrainz5-debuginfo-5.0.1-1.fc17.x86_64.rpm:
    
    libmusicbrainz5-debuginfo = 5.0.1-1.fc17
    libmusicbrainz5-debuginfo(x86-64) = 5.0.1-1.fc17

MD5-sum check
-------------


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 832670
External plugins:
Comment 4 Michael Scherer 2012-08-27 06:36:48 EDT
Seems good, approved
Comment 5 Christophe Fergeau 2012-08-27 08:04:17 EDT
New Package SCM Request
=======================
Package Name: libmusicbrainz5
Short Description: The MusicBrainz client library allows applications to make metadata lookup to a MusicBrainz server.
Owners: teuf
Branches: f18
InitialCC:
Comment 6 Gwyn Ciesla 2012-08-27 08:29:00 EDT
Git done (by process-git-requests).

In the future, leave the version out of the BZ summary.  Thanks!
Comment 7 Bastien Nocera 2012-08-30 05:43:02 EDT
Can you close this bug, or attach it to the errata for the F18 package?
Comment 8 Fedora Update System 2012-08-30 06:03:53 EDT
libmusicbrainz5-5.0.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-12837/libmusicbrainz5-5.0.1-2.fc18
Comment 9 Christophe Fergeau 2012-08-30 06:04:15 EDT
Attached to the errata
Comment 10 Fedora Update System 2012-09-17 19:32:05 EDT
libmusicbrainz5-5.0.1-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Rex Dieter 2013-03-06 13:35:52 EST
mind branching and building for fedora 17 too?  Either way, I'd be happy to help maintain a f17 branch.
Comment 12 Christophe Fergeau 2013-03-07 10:48:31 EST
Fine with me, I don't know how I do that though?
Comment 13 Rex Dieter 2013-03-07 10:56:45 EST
Like this. :)

Package Change Request
======================
Package Name: libmusicbrainz5
New Branches: f17
Owners: teuf rdieter
Comment 14 Gwyn Ciesla 2013-03-07 11:04:11 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.